package extraction;

import org.drools.RuleBase;
import org.drools.WorkingMemory;
import org.drools.base.RuleNameStartsWithAgendaFilter;

import java.util.List;
import java.util.ArrayList;

public class PdfProcessor {

    public List<PdfPage> processPdf() throws PdfException {
        try {
            List<PdfPage> pdfPages = new ArrayList<PdfPage>(10);
            RuleParser ruleParser = RuleParser.getInstance();
            RuleBase ruleBase = ruleParser.getRuleBase();
            WorkingMemory workingMemory = ruleBase.newStatefulSession();
            workingMemory.insert(pdfPages);
            workingMemory.fireAllRules(new RuleNameStartsWithAgendaFilter("Sample Extraction"));
            return pdfPages;
        } catch (RuleException e) {
            throw new PdfException("Error processing Pdf file: " + e.getMessage());
        }
    }
}
